Subject: bug#22631: [PATCH] tests: support non-MLS SELinux systems in mkdir tests

From: Pádraig Brady <[email-masked]>
Date: Sun, 18 Dec 2016 20:43:26 +0000

On 18/12/16 20:27, Nicolas Iooss wrote:
> 
> 
> On 18/12/16 21:10, Pádraig Brady wrote:
>> On 18/12/16 19:29, Nicolas Iooss wrote:
>>> I am not running mcstransd on and the SKIP were due to incorrect
>>> matching in skip_if_mcstransd_is_running_ function. I updated this
>>> function to accept contexts with three components if MLS is disabled and
>>> got one more PASS:
>>
>> Excellent. I tweaked that a little to be less than 80 chars line length,
>> and avoid a duplicated error message, and pushed at:
>> http://git.sv.gnu.org/gitweb/?p=coreutils.git;a=commitdiff;h=v8.26-5-gbe2f82f
>>
>> Marking this bug as done.
> 
> Sorry to bother you but there are two errors in this commit with
> "mls_enabled_ && __ctk_ok=1": 3-component contexts are fine when MLS is
> disabled so the operator needs to be || instead, and there is a K
> instead of an X in the variable name (which would be __ctx_ok).

Wow. That's a lesson in not doing even trivial commits
while being distracted :/  I've pushed that fix
highlighting that the issue was mine.

cheers,
Pádraig.